### Function

# AppStream utils_is_tld

since: 0.9.8

#### Declaration [src]

    gboolean
    as_utils_is_tld (
      const gchar* tld
    )

#### Description [src]

Searches the known list of TLDs we allow for AppStream IDs. This excludes internationalized names.

Available since: 0.9.8

#### Parameters

`tld`

  Type: `const gchar*`

  A top-level domain without dot, e.g. “de”, “org”, “name”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the TLD is valid.